# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Specific app values
    package_version = control.version.split("-")[0]
    bin_name = "virtio-win-gt-x64-%s.msi" % package_version

    # Add "Red Hat, Inc." to Trusted Publishers
    run('"%s" -addstore TrustedPublisher "%s"' % (makepath(system32, "certutil.exe"), makepath(basedir, "redhat-drivers.cer")))
    run('"%s" -addstore TrustedPublisher "%s"' % (makepath(system32, "certutil.exe"), makepath(basedir, "redhat-drivers2.cer")))

    # Installing the package
    install_msi_if_needed(bin_name)
